(
// MAIN LAUNCH (loads necessary files and definitions)

var appEnvironment, cond;

s.boot;

appEnvironment = Environment.make;
appEnvironment.push;

// load
"cicc_musical_data_generator.scd".loadRelative;
"cicc_sonifier.scd".loadRelative;
"cicc_gui.scd".loadRelative;
"cicc_transcriber.scd".loadRelative;

~allMusicData = ~genMusicData.value();
//~player = EventPatternProxy.new;
~patterns = ~allMusicData[0];
~scoreData = ~allMusicData[1];
~sectionOffsets = ~allMusicData[2];
~currentSection = 0;

~play = Synth.new(\masterPlayerControl);

~generateGUI.value;


//counterfeitTranscribe.value(~scoreData);

// init
/*
~dir = thisProcess.nowExecutingPath.dirname;
~loadedTransform = nil;
~transform = [2, 1, 0, 1, 0, 0, 0];
~tileMap = ~mapAll.value(6 /*max depth*/, ~transform);
~layoutState = 0;
~tempo = 120;
~dur = 0.125 * (120/~tempo);
~continuousPlay = false;

// launch
~launchTileVisualizer.value;
~launchGui.value;
*/

//appEnvironment.pop;
)
~fader = Synth(\crossFade, [\sel, 0, \busA, ~busA.index, \busB, ~busB.index]);
~currentSection = 0
~play.set(\sel, ~currentSection % 2);
~patterns[~currentSection].play(quant: 0)
~transcribe.value(~scoreData)

~patterns[0].stop
~player = Ptpar(([~sectionOffsets.postln * 0.08, ~patterns].flop.flat ++ [0, ~faderPattern]))



~fader.play
~player.play